summaryrefslogtreecommitdiff
path: root/regress/usr.bin/ssh/broken-pipe.sh
diff options
context:
space:
mode:
Diffstat (limited to 'regress/usr.bin/ssh/broken-pipe.sh')
-rw-r--r--regress/usr.bin/ssh/broken-pipe.sh15
1 files changed, 9 insertions, 6 deletions
diff --git a/regress/usr.bin/ssh/broken-pipe.sh b/regress/usr.bin/ssh/broken-pipe.sh
index ccbfee259a4..89ea8a91497 100644
--- a/regress/usr.bin/ssh/broken-pipe.sh
+++ b/regress/usr.bin/ssh/broken-pipe.sh
@@ -1,9 +1,12 @@
tid="broken pipe test"
-for i in 1 2 3 4; do
- ssh -2 -F $OBJ/ssh_config nexthost echo $i | true
- r=$?
- if [ $r -ne 0 ]; then
- fail "broken pipe returns $r"
- fi
+for p in 1 2; do
+ trace "protocol $p"
+ for i in 1 2 3 4; do
+ ssh -$p -F $OBJ/ssh_config_config nexthost echo $i 2> /dev/null | true
+ r=$?
+ if [ $r -ne 0 ]; then
+ fail "broken pipe returns $r for protocol $p"
+ fi
+ done
done